Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Nieuwe kernel installeren (final 3.8) ERROR  (gelezen 344 keer)

Offline mainstream

  • Lid
    • Bekijk profiel
  • Steunpunt: Nee
Nieuwe kernel installeren (final 3.8) ERROR
« Gepost op: 2013/02/20, 13:41:16 »
Hallo allemaal,

Ik wilde de nieuwe stable linux kernel v3.8 installeren op Ubuntu 12.10 met Nvidia 313.18 drivers, maar ik krijg elke keer een foutmelding:
Running depmod.
update-initramfs: deferring update (hook will be called later)
Examining /etc/kernel/postinst.d.
run-parts: executing /etc/kernel/postinst.d/dkms 3.8.0-030800-generic /boot/vmlinuz-3.8.0-030800-generic
Error! Bad return status for module build on kernel: 3.8.0-030800-generic (x86_64)
Consult /var/lib/dkms/virtualbox-guest/4.1.18/build/make.log for more information.

make.log
DKMS make.log for virtualbox-guest-4.1.18 for kernel 3.8.0-030800-generic (x86_64)
Wed Feb 20 13:35:27 CET 2013
make: Entering directory `/usr/src/linux-headers-3.8.0-030800-generic'
LD /var/lib/dkms/virtualbox-guest/4.1.18/build/built-in.o
LD /var/lib/dkms/virtualbox-guest/4.1.18/build/vboxguest/built-in.o
CC [M] /var/lib/dkms/virtualbox-guest/4.1.18/build/vboxguest/VBoxGuest-linux.o
/var/lib/dkms/virtualbox-guest/4.1.18/build/vboxguest/VBoxGuest-linux.c:206:49: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘g_VBoxGuestPciId’
/var/lib/dkms/virtualbox-guest/4.1.18/build/vboxguest/VBoxGuest-linux.c:216:1: error: ‘__mod_pci_device_table’ aliased to undefined symbol ‘g_VBoxGuestPciId’
make[2]: *** [/var/lib/dkms/virtualbox-guest/4.1.18/build/vboxguest/VBoxGuest-linux.o] Error 1
make[1]: *** [/var/lib/dkms/virtualbox-guest/4.1.18/build/vboxguest] Error 2
make: *** [_module_/var/lib/dkms/virtualbox-guest/4.1.18/build] Error 2
make: Leaving directory `/usr/src/linux-headers-3.8.0-030800-generic'

Iemand een idee wat er misgaat? Ik denk zelf met de virtualbox drivers, maar weet het niet zeker.
« Laatst bewerkt op: 2013/02/20, 13:58:16 door mainstream »

Offline Nollie

  • Lid
    • Bekijk profiel
  • Steunpunt: Ja
Re: Nieuwe kernel installeren (final 3.8) ERROR
« Reactie #1 Gepost op: 2013/02/20, 14:22:20 »
Iets met Ubuntu 12.10 volgens mij. Zie de reacties op www.upubuntu.com.
Kernel 3.7.9 gaat bij mij wel goed.

Op kernel.org staat 3.8 nog niet als Stable.
Ubuntu 16.04 en 16.10 op Intel Core i5-3350P, 3,8 Gb Ram.